Module org.jfree.pdf
Package org.jfree.pdf

# Class PDFHints

java.lang.Object
org.jfree.pdf.PDFHints

public final class PDFHints extends Object
Defines the rendering hints that can be used with the `PDFGraphics2D` class. There is just one hint defined at present:

- `KEY_DRAW_STRING_TYPE` that controls how the drawString() methods generate output (regular text or vector graphics);

Since:
  1.5

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PDFHints.Key`
A key for hints used by the `PDFGraphics2D` class.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PDFHints.Key`
`KEY_DRAW_STRING_TYPE`
The key for the hint that controls whether strings are rendered as characters (standard PDF output) or vector graphics (implemented using `TextLayout`).
`static final Object`
`VALUE_DRAW_STRING_TYPE_STANDARD`
Hint value for `KEY_DRAW_STRING_TYPE` to specify that strings should be written to the output using standard PDF text primitives.
`static final Object`
`VALUE_DRAW_STRING_TYPE_VECTOR`
Hint value for `KEY_DRAW_STRING_TYPE` to say that strings should be written to the output using vector graphics primitives.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY_DRAW_STRING_TYPE

public static final PDFHints.Key KEY_DRAW_STRING_TYPE
The key for the hint that controls whether strings are rendered as characters (standard PDF output) or vector graphics (implemented using `TextLayout`). The latter will result in larger output files but permits rendering Unicode characters without font embedding (which is not supported by JFreePDF at this point). Valid hint values are `VALUE_DRAW_STRING_TYPE_STANDARD` and `VALUE_DRAW_STRING_TYPE_VECTOR`.

### VALUE_DRAW_STRING_TYPE_STANDARD

public static final Object VALUE_DRAW_STRING_TYPE_STANDARD
Hint value for `KEY_DRAW_STRING_TYPE` to specify that strings should be written to the output using standard PDF text primitives.

### VALUE_DRAW_STRING_TYPE_VECTOR

public static final Object VALUE_DRAW_STRING_TYPE_VECTOR
Hint value for `KEY_DRAW_STRING_TYPE` to say that strings should be written to the output using vector graphics primitives.